Subject: Re: cygwin1.dll missing getreent and fopen
From: "Gerrit P. Haase" <[email-masked]>
To: "Misha Gale" <[email-masked]>
Cc: [email-masked]
Date: Fri, 10 Oct 2003 17:02:15 +0200

Hello Misha,

> "The procedure entry point __fopen64 couldn not be located in the dynamic
> link library cygwin1.dll" or "The procedure entry point __getreent couldn
> not be located in the dynamic link library cygwin1.dll"

> This occurs when 'bash' 'sed', 'basename' or 'uname' (and probably
> others) are executed. I have also recieved an "unable to locate dll" for
> cygpcre.dll from 'grep.exe'

> cygwin1.dll is installed in /bin, is this the right location or should it
> be in %SYSTEMROOT%?

Have you tried to reboot the system?

[...]

> If I can aquire a working copy of the dll, how can I cause the
> post-install steps to be executed without re-doing the whole install?

Run the scripts in /etc/postinstall.

> I could really use some help here, otherwise I may be condemned to
> implement my computer science project in visual basic...

Oh no, don't do this;-)

Gerrit
-- 
=^..^=                                  http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/